---
wagl:
  algorithm_information:
    algorithm_version: 2.0
    nbar_doi: http://dx.doi.org/10.1109/JSTARS.2010.2042281
    nbar_terrain_corrected_doi: http://dx.doi.org/10.1016/j.rse.2012.06.018
  ancillary:
    aerosol:
      id:
      - 3694c04d-97cb-5950-b895-82942177182f
      tier: AATSR_CMP_MONTH
      value: 0.06342160701751709
    brdf:
      alpha_1:
        band_1: 0.40939743098627984
        band_11: 0.2145564553916669
        band_12: 0.04482917532665085
        band_2: 0.4094295881492186
        band_3: 0.6354944907149533
        band_4: 0.23806739549342484
        band_5: 0.23806894726942143
        band_6: 0.23806496215526546
        band_7: 0.5573397586320695
        band_8: 0.5573446493450177
        band_8a: 0.5573682648654416
      alpha_2:
        band_1: 0.1285430343655642
        band_11: 0.1322154805033942
        band_12: 0.16232109138687945
        band_2: 0.1285226033301743
        band_3: 0.11151434904075844
        band_4: 0.15938812118942963
        band_5: 0.15939318214841344
        band_6: 0.15938620895022576
        band_7: 0.07758660458244045
        band_8: 0.07758639241919324
        band_8a: 0.07758710071534036
      id:
      - eca1f502-5231-5fba-bc4d-dbaa840724d7
      tier: DEFINITIVE
    elevation:
      id:
      - 27ca9489-8222-5117-96f6-2af42655c604
      - 8ad73086-72cf-561a-aa0f-1e3c64d53384
    ozone:
      id:
      - 3a5b2597-effc-53e6-b65f-cec584ee6a3e
      tier: DEFINITIVE
      value: 0.25
    water_vapour:
      id:
      - f29cf438-5cd3-5242-945b-89d9845c963a
      tier: DEFINITIVE
      value: 3.1
  id: 8f8ff7b8-66c1-456c-9baa-da7e93827b89
  parameters:
    buffer_distance: 8000
    esun:
      BAND-1: 1971.756325982123
      BAND-11: 240.04186609541736
      BAND-12: 82.09857056881438
      BAND-2: 2015.4344827095547
      BAND-3: 1887.1619700139527
      BAND-4: 1540.8679804102853
      BAND-5: 1422.4195627826155
      BAND-6: 1297.962020132667
      BAND-7: 1188.2109423234886
      BAND-8: 1052.3629053555667
      BAND-8A: 959.6721743885324
    method: 2
    normalized_solar_zenith: 45.0
    rori: 0.52
    vertices:
    - 3
    - 3
  source_datasets:
    acquisition_datetime: 2022-03-16 02:03:56.760090Z
    atime: 2022-09-01 17:45:42Z
    ctime: 2022-03-16 09:48:24Z
    mtime: 2022-03-16 09:48:21Z
    owner_id: '12232'
    platform_id: SENTINEL_2A
    sensor_id: MSI
    source_level1: /g/data/fj7/Copernicus/Sentinel-2/MSI/L1C/2022/2022-03/20S120E-25S125E/S2A_MSIL1C_20220316T015621_N0400_R117_T51KXQ_20220316T051007.zip
  system_information:
    hostname: gadi-cpu-clx-2482.gadi.nci.org.au
    runtime_id: e683b540-2a1d-11ed-83b7-0000009dfe80
    time_processed: 2022-09-01 17:45:42.811073Z
    uname: 'Linux gadi-cpu-clx-2482.gadi.nci.org.au 4.18.0-372.13.1.el8.nci.x86_64
      #1 SMP Mon Jul 4 08:46:44 AEST 2022 x86_64'
gqa:
  colors:
    blue: 77.0
    green: 315.0
    red: 16.0
    teal: 207.0
    yellow: 34.0
  error_message: no errors
  final_qa_count: 599
  granule: S2A_OPER_MSI_L1C_TL_VGS1_20220316T051007_A035149_T51KXQ_N04.00
  ref_date: '2014-02-22T00:00:00+00:00'
  ref_source: GQA_v3
  ref_source_path: /g/data/v10/eoancillarydata/GCP/GQA_v3/wrs2/109/076/LC81090762014053LGN00_B6.TIF
  residual:
    abs:
      x: 0.69
      xy: 0.86
      y: 0.5
    abs_iterative_mean:
      x: 0.41
      xy: 0.53
      y: 0.34
    cep90: 1.06
    iterative_mean:
      x: 0.17
      xy: 0.32
      y: -0.27
    iterative_stddev:
      x: 0.51
      xy: 0.59
      y: 0.31
    mean:
      x: 0.1
      xy: 0.3
      y: -0.28
    stddev:
      x: 1.91
      xy: 2.29
      y: 1.26
fmask:
  parameters:
    cloud_buffer_distance_metres: 0.0
    cloud_shadow_buffer_distance_metres: 0.0
    frantz_parallax_sentinel_2: false
  percent_class_distribution:
    clear: 95.8392382079205
    cloud: 2.412464504552499
    cloud_shadow: 1.7107839666203037
    snow: 0.008071493622539297
    water: 0.02944182728415914
s2cloudless:
  parameters:
    average_over: 4
    dilation_size: 2
    threshold: 0.4
  percent_class_distribution:
    clear: 95.39661540011507
    cloud: 4.603384599884936
software_versions:
- name: modtran
  url: http://www.ontar.com/software/productdetails.aspx?item=modtran
  version: 6.0.1
- name: wagl
  url: https://github.com/GeoscienceAustralia/wagl
  version: 5.8.4
- name: eugl
  url: https://github.com/OpenDataCubePipelines/eugl
  version: 0.5.2
- name: gverify
  url:
  version: v0.25c
- name: fmask
  url: https://www.pythonfmask.org/
  version: 0.5.5
- name: s2cloudless
  url: https://github.com/sentinel-hub/sentinel2-cloud-detector
  version: 1.5.0
- name: tesp
  url: https://github.com/OpenDataCubePipelines/tesp
  version: 0.14.1
- name: eodatasets3
  url: https://github.com/GeoscienceAustralia/eo-datasets
  version: 0.27.3
...
